﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Application
{
    class Program
    {
        private static String filename = "users.txt";
        //private static String filename = "\"\""; 
        static void Main(string[] args)
        {
            App();
        }

        static void App()
        {
            List<User> list_of_users = new List<User>();

            if (!FileSystem.CreateFile(filename))
            {
                Console.WriteLine("Cannot create file!");
                Environment.Exit(1);
            }

            bool main_loop = true;
            String command = "";

            while (main_loop)
            {
                Console.WriteLine("1 Create new user");
                Console.WriteLine("2 Exit");
                Console.Write("Command: ");
                command = Console.ReadLine();

                // add user
                if (command.Trim() == "1")
                {
                    User user = new User();
                    bool user_flag = true;

                    while (user_flag)
                    {
                        Console.Write("Enter first name: ");
                        user.FirstName = Console.ReadLine().Trim();

                        Console.Write("Enter last name: ");
                        user.LastName = Console.ReadLine().Trim();

                        Console.Write("Enter city: ");
                        user.City = Console.ReadLine().Trim();

                        Console.Write("Enter Pesel: ");
                        user.Pesel = Console.ReadLine().Trim();

                        if (user.CheckingPesel()==0)
                        {
                            if (!User.UserExists(ref list_of_users, user))
                                list_of_users.Add(user);
                            FileSystem.SaveUsersToFile(filename, list_of_users);
                            user_flag = false;
                        }
                        else
                        {
                            Console.WriteLine("Incorect Pesel");
                        }
                    }
                    Console.WriteLine("Press Enter to continue");
                    Console.ReadLine();

                }
                // exit program
                else if (command.Trim() == "2")
                {
                    main_loop = false;
                }
                // unknown command
                else
                {
                    Console.WriteLine("Unknown command");

                    Console.WriteLine("Press Enter to continue");
                    Console.ReadLine();
                }

                Console.Clear();
               
            }

        }

    }
}
